* {
    margin: 0;
    padding: 0;
    
}

body {
    
    background-color: #fefefe;
    height: 100vh;
    
}
header{
    height: 100px;
    background-color: #5A98DF;

    box-shadow: 0 5px 5px linear-gradient(180deg, rgba(147,93,224,1) 0%, rgba(229,138,6,1) 100%);
}
a:active{
    outline: none;
}
#container-teddies{
    margin-top: 60px;
    margin-left: auto;
    margin-right: auto;
}
.round-color {
    border-radius: 50%;
    width: 30px;
    height: 30px;
    box-sizing: border-box;
    border: grey 2px solid;
}

h2 {
    font-size: 22px;
    top: -170px;
    left: 50%;
    transform: translateX(-50%);

}

h3 {
    position: absolute;
    z-index: -100;
    font-size: 15px;
    top: -180px;
    left: 50%;
    transform: translateX(-50%);

}

img.round {
    width: 250px;
    height: 250px;
    object-fit: cover;
    border-radius: 100%;
    position: relative;
    filter: brightness(0.6);
    &::after{
        border: white 3px solid;
    }
}

div[id^="teddy-color-"] {
    opacity: 0;
}

a[id^="teddy-"] {
    width: 300px;
    height: 350px;
    border-radius: 10px;
    border: 3px white;
    color: white;
    border-color: rgb(58, 58, 58);
    outline: none;
    background-color: transparent;
    box-shadow: none;
    margin: auto;
}

a[id^="teddy-"]:hover {
    transition: all 300ms 600ms;
    background-color: rgb(78, 58, 77);
    z-index: 1000;
    border: 3px rgb(78, 58, 77) solid;
    transform: scale(1.3);
    @include sm-screen{
        transition: all 300ms 500ms;
        transform: scale(1.1);
        margin: auto;
        margin-bottom: 50px;
    }
    
}

a[id^="teddy-"]:hover img {
    transition: border-radius 300ms 200ms, 
                width 200ms 400ms, 
                filter 500ms;
    filter: brightness(1);
    transform-origin: center;
    margin: 0;
    width: 300px;
    border-radius: 10px 10px 0 0;
    border-left: 3px rgb(78, 58, 77) solid;
    border-right: 3px rgb(78, 58, 77) solid;
}

a[id^="teddy-"]:hover div>h2 {
    transition: all 300ms ease;
    top: -30px;
}

a[id^="teddy-"]:hover div>h3 {
    z-index: 1;
    transition: top 300ms 400ms ease;
    top: 0;
    animation: appear 200ms 500ms both;
}

a[id^="teddy-"]:hover div>div[id^="teddy-color-"] {
    z-index: 1;
    transition: top 300ms 400ms ease;
    top: 25px;
    animation: appear 300ms 600ms both;
}
.form-appear{
    animation: form-appear 300ms both;
    transform-origin: top;
}
@keyframes appear {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}
@keyframes form-appear {
    from {
        transform: scaleY(0);
    }

    to {
        transform: scaleY(1);    
    }
}
